const Fs = require('fs');
const translate = require('./mylib').translate;
const diff = require('jest-diff');

const markdownText = `
# heading

text
`;
const markdownJson = {"$class":"org.accordproject.commonmark.Document","xmlns":"http://commonmark.org/xml/1.0","nodes":[{"$class":"org.accordproject.commonmark.Heading","level":"1","nodes":[{"$class":"org.accordproject.commonmark.Text","text":"heading"}]},{"$class":"org.accordproject.commonmark.Paragraph","nodes":[{"$class":"org.accordproject.commonmark.Text","text":"text"}]}]};

beforeAll(() => {
});
describe('acceptance', () => {
    it('translate', () => {
        const json = translate(markdownText);
        expect(diff(json,markdownJson)).toMatchSnapshot();
    });
});
